import { EnergyTransferRequestRepository } from './repositories/EnergyTransferRequest.repository';
import { CommandBus, EventBus } from '@nestjs/cqrs';
import { ValidateTransferCommandCtor } from './commands/ValidateTransferCommand';
import { TransferValidationStatus } from './EnergyTransferRequest';
import { BatchConfiguration } from './batch/configuration';
export interface IUpdateValidationStatusCommand {
    requestId: number;
    status: TransferValidationStatus;
    validatorName: string;
}
export declare class ValidateService {
    private etrRepository;
    private validateCommands;
    private batchConfiguration;
    private commandBus;
    private eventBus;
    private readonly logger;
    constructor(etrRepository: EnergyTransferRequestRepository, validateCommands: ValidateTransferCommandCtor[], batchConfiguration: BatchConfiguration, commandBus: CommandBus, eventBus: EventBus);
    validateTask(): Promise<void>;
    private startValidation;
    updateValidationStatus(command: IUpdateValidationStatusCommand): Promise<void>;
    private validateEtr;
    private executeCommand;
}
